Package org.h2gis.functions.io.osm

## Class OSMElement

- java.lang.Object
- - org.h2gis.functions.io.osm.OSMElement

Direct Known Subclasses:
  `NodeOSMElement`, `WayOSMElement`

    public class OSMElement
    extends Object

A class to manage all common element properties.

Author:
  Erwan Bocher

### Constructor Summary

Constructors
`OSMElement()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `addTag​(String key, String value)`
`int` `getChangeSet()`
`long` `getID()` The id of the element
`String` `getName()`
`HashMap<String,​String>` `getTags()`
`Timestamp` `getTimeStamp()`
`long` `getUID()`
`String` `getUser()` The user
`int` `getVersion()`
`boolean` `getVisible()`
`void` `setChangeset​(String changeset)`
`void` `setId​(String id)` Set an id to the element
`void` `setName​(String name)`
`void` `setTimestamp​(String OSMtime)`
`void` `setUid​(String uid)`
`void` `setUser​(String user)`
`void` `setVersion​(String version)`
`void` `setVisible​(String visible)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OSMElement

    public OSMElement()

### Method Detail

#### getID

    public long getID()

The id of the element

Returns:

#### setId

    public void setId​(String id)

Set an id to the element

Parameters:
  `id` -

#### getUser

    public String getUser()

The user

Returns:

#### setUser

    public void setUser​(String user)

#### getUID

    public long getUID()

#### setUid

    public void setUid​(String uid)

#### getName

    public String getName()

Returns:
  The way name (extracted from tag)

#### setName

    public void setName​(String name)

Parameters:
  `name` - Way name

#### getVisible

    public boolean getVisible()

Returns:

#### setVisible

    public void setVisible​(String visible)

#### getVersion

    public int getVersion()

Returns:

#### setVersion

    public void setVersion​(String version)

#### getChangeSet

    public int getChangeSet()

Returns:

#### setChangeset

    public void setChangeset​(String changeset)

#### getTimeStamp

    public Timestamp getTimeStamp()

Returns:

#### setTimestamp

    public void setTimestamp​(String OSMtime)
                      throws SAXException

Throws:
  `SAXException`

#### addTag

    public boolean addTag​(String key,
                          String value)

Parameters:
  `key` -
  `value` -
Returns:
  True if the tag should be inserted in the tag table.

#### getTags

    public HashMap<String,​String> getTags()